services:
  certbot:
    image: certbot/dns-cloudflare
    volumes:
      - ./letsencrypt:/etc/letsencrypt
      - ./cloudflare:/cloudflare
    environment:
      - DOMAIN=${DOMAIN:-mail.haiky.app}
      - EMAIL=${EMAIL:-deine-email@example.com}
    command: certonly --dns-cloudflare --dns-cloudflare-credentials /cloudflare/cloudflare.ini --email ${EMAIL:-deine-email@example.com} --agree-tos --no-eff-email -d ${DOMAIN:-mail.haiky.app}